<?
set_time_limit(0);
require("../../conexion/conectar.php");

$conexion = new CONDB();
$conexion->conectar();

$query="select adicionalA as uuid from doce where tipodocto='NOTIFICACION DE PAGO' and fecha>='2015-09-01T00:00:00'";

if($rQuery = mysqli_query($conexion->CONEXION,$query)){
	if(mysqli_num_rows($rQuery) > 0){
		$errores_no=0;
		$errores="";
		$arrUUID = array();
		$con=0;
		while($tmp = mysqli_fetch_assoc($rQuery)){
			if(!in_array($tmp["uuid"],$arrUUID)){
				$arrUUID[]=$tmp["uuid"];
				// if($tmp["uuid"] == "4B048603-FC2D-4426-8C2D-4F94481B5A58"){
					
					$qry = "call SP_CalculaStatusNotificacionPago('".$tmp["uuid"]."')";
					if(mysqli_query($conexion->CONEXION,$qry)){
						writeLog("CalculaStatusNotificacionPagoTodo",$tmp["uuid"]." actualizado",0,1);
					}else{
						$errores_no++;
						// $errores.=mysqli_error($conexion->CONEXION)."<br/>";
						writeLog("CalculaStatusNotificacionPagoTodo",$tmp["uuid"]." Error: ".mysqli_error($conexion->CONEXION),1,0);
					}
					mysqli_next_result($conexion->CONEXION);
					$con++;
					// if($con == 4){
						// exit;
					// }
				// }
			}
		}
		echo "No. Errores: ".$errores_no."<br/>";
		// echo "Mensajes de Error: ".$errores;
		// var_dump($arrUUID);
	}
}
function writeLog($nombreArchivo, $mensaje, $log, $debug){
	$logArchivo = $nombreArchivo."_".date("Ymd").".log";
	$debugArchivo = $nombreArchivo."_".date("Ymd").".debug";
	if($log == 1){
		if(file_exists($logArchivo)){$fp = fopen($logArchivo,"a+");}else{$fp = fopen($logArchivo,"w+");}
		$fecha = date("Y-m-d-TH:i:s");
		fwrite($fp,"\r\n".$fecha." -> ".$mensaje);
		fclose($fp);
	}
	if($debug == 1){
		if(file_exists($debugArchivo)){$fp = fopen($debugArchivo,"a+");}else{$fp = fopen($debugArchivo,"w+");}
		$fecha = date("Y-m-d-TH:i:s");
		fwrite($fp,"\r\n".$fecha." -> ".$mensaje);
		fclose($fp);
	}
}
?>